{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

/* ElemWise - sub layer */
{% include "./_def_io.jinja" %}
{% include "./_meminfo.jinja" %}

{# For layer configuration -#}
#define {{ name|upper }}_INPUTS_SIZE {{ in_size[0] }}
#define {{ name|upper }}_OUTPUTS_SIZE {{ out_size[0] }}


#define {{in_name[0]|upper}}_NB_DIM {{ in_dims[0]|length}}
#define {{in_name[1]|upper}}_NB_DIM {{ in_dims[1]|length}}
#define {{out_name[0]|upper}}_NB_DIM {{ out_dims[0]|length}}

static const int {{ in_name[0]|upper }}_DIMS[] = { {{ in_dims[0]|join(", ") }} };
static const int {{ in_name[1]|upper }}_DIMS[] = { {{ in_dims[1]|join(", ") }} };
static const int {{ out_name[0]|upper }}_DIMS[] = { {{ out_dims[0]|join(", ") }} };

#endif /* {{ name|upper }}_LAYER_H */
